### Class

# WebKit2WebExtension DOMClientRect

#### Description

    class WebKit2WebExtension.DOMClientRect : WebKit2WebExtension.DOMObject {
      parent_instance: WebKitDOMObject
    }

No description available.

#### Ancestors

- WebKitDOMObject
- GObject

#### Instance methods

###### webkit_dom_client_rect_get_bottom

Returns the bottom coordinate of `self`, relative to the viewport.

deprecated: 2.22 since: 2.18

###### webkit_dom_client_rect_get_height

Returns the height of `self`.

deprecated: 2.22 since: 2.18

###### webkit_dom_client_rect_get_left

Returns the left coordinate of `self`, relative to the viewport.

deprecated: 2.22 since: 2.18

###### webkit_dom_client_rect_get_right

Returns the right coordinate of `self`, relative to the viewport.

deprecated: 2.22 since: 2.18

###### webkit_dom_client_rect_get_top

Returns the top coordinate of `self`, relative to the viewport.

deprecated: 2.22 since: 2.18

###### webkit_dom_client_rect_get_width

Returns the width of `self`.

deprecated: 2.22 since: 2.18

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMClientRect:bottom

No description available.

###### WebKit2WebExtension.DOMClientRect:height

No description available.

###### WebKit2WebExtension.DOMClientRect:left

No description available.

###### WebKit2WebExtension.DOMClientRect:right

No description available.

###### WebKit2WebExtension.DOMClientRect:top

No description available.

###### WebKit2WebExtension.DOMClientRect:width

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMClientRectClass {
      WebKitDOMObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMObjectClass`
  No description available.